<?php
  echo "Entrez un Nombre : " ;
  fscanf(STDIN,"%d",$nb);
  $val_init=2 ;
  $limite=$nb-1 ;
  $trouve=false ;
  for ($i=$val_init ; $i<=$limite ; $i++)
  {
   $reste= $nb % $i ;
   if ($reste == 0) // alors on a trouvé un diviseur
   {
     $trouve=true      ;
     $diviseur1=$i     ; // on mémorise les diviseurs
     $diviseur2=$nb/$i ;
   }
  }
  if ($trouve) // un diviseur a été trouvé
  {
    echo "$nb n'est pas premier !".PHP_EOL;
    echo "il est divisible par $diviseur1 et $diviseur2".PHP_EOL;
  }
  else
  {
    echo "$nb est un nombre premier !".PHP_EOL;
  }     
?>
